aboutsummaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* Opie: add version 1.2.5bluelightning/opie-fixesPaul Eggleton2010-12-12187-0/+1357
| | | | Signed-off-by: Paul Eggleton <bluelightning@bluelightning.org>
* Opie: switch recipes away from CVSPaul Eggleton2010-12-12188-511/+637
| | | | | | | handhelds.org CVS is unavailable, so switch 1.2.4 recipes to split source tarballs and all remaining Opie recipes over to the Opie git repository. Signed-off-by: Paul Eggleton <bluelightning@bluelightning.org>
* opie-bluetoothapplet: change to use pics path to match other applet recipesPaul Eggleton2010-12-123-5/+5
| | | | | | | This saves us one more tarball when moving towards split tarballs for stable version sources. Signed-off-by: Paul Eggleton <bluelightning@bluelightning.org>
* opie-oxygen: remove obsolete 1.0.0 versionPaul Eggleton2010-12-121-24/+0
| | | | | | This has long been superseded; version 1.2.4 is the current version. Signed-off-by: Paul Eggleton <bluelightning@bluelightning.org>
* Opie: remove opie-cardmon & opie-pcmciaappletPaul Eggleton2010-12-126-86/+0
| | | | | | These have been superseded by opie-cardapplet as of version 1.2.4. Signed-off-by: Paul Eggleton <bluelightning@bluelightning.org>
* Opie: remove version 1.2.3 recipesPaul Eggleton2010-12-12187-1353/+0
| | | | | | | Opie 1.2.3 is no longer referred to by any distro and has been superseded some time ago by 1.2.4. Signed-off-by: Paul Eggleton <bluelightning@bluelightning.org>
* srctree: create stamps for executed functionsChris Larson2010-12-111-1/+4
| | | | | | | | Slightly altered version of the patch from Martin Ambrose, whose work in reporting this, investigating it, and determining a solution is much appreciated. Signed-off-by: Chris Larson <chris_larson@mentor.com>
* udev_162.bb: add nokia900 rulesKlaus Kurzmann2010-12-111-1/+9
| | | | Signed-off-by: Klaus Kurzmann <mok@fluxnetz.de>
* udev_151.bb: add pre-generated 70-persistent-net.rules for nokia900Klaus Kurzmann2010-12-112-1/+12
| | | | Signed-off-by: Klaus Kurzmann <mok@fluxnetz.de>
* libdrm: remove old not pinned versions, update libdrm.incMartin Jansa2010-12-1111-2296/+7
| | | | | | | | * disable radeon for all distributions unless x86 is in MACHINE_FEATURES Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* jlime-extras: Bump from version 1.0.2 to version 1.0.3.Alex Ferguson2010-12-111-2/+2
| | | | | | | | New version adds a small script which runs at the near end of rcS and stops psplash cleanly. Signed-off-by: Alex Ferguson <thoughtmonster@gmail.com> Signed-off-by: Kristoffer Ericson <kristoffer.ericson@gmail.com>
* libdrm: add new version 2.4.23Martin Jansa2010-12-112-0/+1120
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* edje-viewer,eve,edbus,ethumb: use SRC_URI from e-base.bbclassMartin Jansa2010-12-114-10/+3
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* mtd-utils-native: remove DEFAULT_PREFERENCEMartin Jansa2010-12-113-11/+0
| | | | | | | | * all native versions currently available had -1 (except 1 with angstrom override) so it should point to same version as before * 1.1.0 was sheduled to be enabled 33 months ago Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* preferred-shr-versions.inc: remove P_V_udev to upgrade from 151 to current ↵Martin Jansa2010-12-111-1/+0
| | | | | | default 162 Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* preferred-shr-versions: remove pinned versions which are default nowMartin Jansa2010-12-112-16/+3
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* preferred-xorg-versions-live.inc: regenerate with updated contrib scriptMartin Jansa2010-12-111-2/+96
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* bump.preferred-xorg-versions-live.sh: pin also -nativesdk and -sdk versions ↵Martin Jansa2010-12-111-3/+16
| | | | | | | | if available * xorg-proto has always all BBCLASSEXTEND in shared .inc Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* xorg: new xbacklight, xkbevd, xbitmaps, resourceproto, xproto versions ↵Martin Jansa2010-12-119-54/+47
| | | | | | 2010-12-11 Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* fsodeviced: we need the full i2c-dev.h nowadays, so let's depend on i2c-toolsMichael 'Mickey' Lauer2010-12-111-2/+2
|
* gstreamer: add 0.31, since gst-plugins-base needs at least that versionKoen Kooi2010-12-111-0/+7
| | | | | | This should be the last fix to last nights gstreamer breakfest Signed-off-by: Koen Kooi <koen@openembedded.org>
* gzip_1.4.bb: Fix do_install for DISTRO=micro.Graham Gower2010-12-111-4/+6
| | | | | | | | mv: `/mnt/oe/tmp/work/mipsel-oe-linux-uclibc/gzip-1.4-r3/image/bin/gunzip' and `/mnt/oe/tmp/work/mipsel-oe-linux-uclibc/gzip-1.4-r3/image/bin/gunzip' are the same file Signed-off-by: Graham Gower <graham.gower@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Acked-by: Michael Smith <msmith@cbnco.com>
* debianutils.inc: Fix do_install for DISTRO=micro.Graham Gower2010-12-111-5/+7
| | | | | | | | mv: `/mnt/oe/tmp/work/mipsel-oe-linux-uclibc/debianutils-2.30-r2/image/bin/run-parts.debianutils' and `/mnt/oe/tmp/work/mipsel-oe-linux-uclibc/debianutils-2.30-r2/image/bin/run-parts.debianutils' are the same file Signed-off-by: Graham Gower <graham.gower@gmail.com> Acked-by: Chris Larson <chris_larson@mentor.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* gstreamer: properly fix gettext problems once and for allKoen Kooi2010-12-113-8/+8
| | | | | | * also remove doc hack Signed-off-by: Koen Kooi <koen@openembedded.org>
* libQGLViewer: New programJayen Ashar2010-12-112-0/+23
| | | | | | | | | | | | | | | * Starting with libQGLViewer 2.3.8 * libqglviewer (also known as libQGLViewer) is a free C++ library based on * Qt that enables the quick creation of OpenGL 3D viewers. It features a * powerful camera trackball and simple applications simply require an * implementation of the draw() function. It is a tool of choice for OpenGL * beginners and assignements. It provides screenshot saving, mouse * manipulated frames, stereo display, interpolated keyFrames, object * selection, and much more. It is fully customizable and easy to extend to * create complex applications, with a possible Qt GUI. Signed-off-by: Jayen Ashar <jayen@cse.unsw.edu.au> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libsdl-directfb: fixed qa_configure errorAeschbacher, Fabrice2010-12-111-1/+2
| | | | | | | | | * without this patch, ${STAGING_DIR}/bin/directfb-config --cflags returns: -I/usr/include/directfb -D_REENTRANT which makes qa_configure complain about /usr/include Signed-off-by: Fabrice Aeschbacher <fabrice.aeschbacher@siemens.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* xbmc_svn: add `jasper` to `DEPENDS`Paul Menzel2010-12-111-2/+2
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Task `configure` fails with the following error. […] | checking for main in -lresolv... yes | checking for main in -ljasper... no | configure: error: Could not find a required library. Please see the README for your platform. | ERROR: Function do_configure failed NOTE: package xbmc-10.05-r8+gitr0+e2ab481ebe964321c358ab9d6402088c714adcbe: task do_configure: Failed ERROR: TaskFailed event exception, aborting ERROR: Build of /oe/openembedded/recipes/xbmc/xbmc_svn.bb do_configure failed ERROR: Task 11 (/oe/openembedded/recipes/xbmc/xbmc_svn.bb, do_configure) failed with 256 ERROR: '/oe/openembedded/recipes/xbmc/xbmc_svn.bb' failed ERROR: '/oe/openembedded/recipes/xbmc/xbmc_svn.bb' failed ERROR: '/oe/openembedded/recipes/xbmc/xbmc_svn.bb' failed Adding `jasper` to `DEPENDS` fixes this error with the following build configuration. Build Configuration: BB_VERSION = "1.10.0" METADATA_BRANCH = "org.openembedded.dev" METADATA_REVISION = "97ea91e" TARGET_ARCH = "arm" TARGET_OS = "linux-gnueabi" MACHINE = "beagleboard" DISTRO = "angstrom" DISTRO_VERSION = "2010.7-test-20101126" TARGET_FPU = "hard" add `libxtst` to `DEPENDS` add `libxinerama` to `DEPENDS` add `zip-native` to `DEPENDS` and increase `PR` Signed-off-by: Paul Menzel <paulepanter@users.sourceforge.net> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* qte: fixed do_configure() for powerpcAeschbacher2010-12-111-1/+2
| | | | | Signed-off-by: Aeschbacher <fabrice.aeschbacher@siemens.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* vlc_1.1.4.1: add `lua5.1-native` to `DEPENDS` and `lua5.1` to `RDEPENDS`Paul Menzel2010-12-111-1/+2
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Task `configure` failed with the following error. […] checking for LUA... yes checking for luac... no configure: error: Could not find the LUA byte compiler. ERROR: Function do_configure failed It turns out that `luac` is needed on the build system and therefore `lua5.1-native` needs to be added to `DEPENDS`. Thanks to Petr Štetiar for his advise on this issue [1]. With this patch applied I built this recipe successfully with the following build configuration. Build Configuration: BB_VERSION = "1.10.0" METADATA_BRANCH = "org.openembedded.dev" METADATA_REVISION = "28492a5" TARGET_ARCH = "arm" TARGET_OS = "linux-gnueabi" MACHINE = "beagleboard" DISTRO = "angstrom" DISTRO_VERSION = "2010.7-test-20101106" TARGET_FPU = "hard" [1] http://lists.linuxtogo.org/pipermail/openembedded-devel/2010-November/026631.html Signed-off-by: Paul Menzel <paulepanter@users.sourceforge.net> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* gstreamer: remove unpinned versionsAndreas Oberritter2010-12-117-1076/+0
| | | | | Signed-off-by: Andreas Oberritter <obi@opendreambox.org> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* gst-plugins-good: update to 0.10.26Andreas Oberritter2010-12-111-0/+15
| | | | | Signed-off-by: Andreas Oberritter <obi@opendreambox.org> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* gst-plugins-base: update to 0.10.31Andreas Oberritter2010-12-111-0/+26
| | | | | Signed-off-by: Andreas Oberritter <obi@opendreambox.org> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* sane-toolchain.inc: Prefer libtool version 2.4 with sysroot.Khem Raj2010-12-111-0/+7
| | | | | Signed-off-by: Khem Raj <raj.khem@gmail.com> Acked-by: Martin Jansa <Martin.Jansa@gmail.com>
* gypsy: add `bluez4` to `DEPENDS` instead of `bluez-libs`Paul Menzel2010-12-111-1/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Task `configure` when running `bitbake gypsy` failed with the following error. checking pkg-config is at least version 0.9.0... yes checking for GYPSY... configure: error: Package requirements (glib-2.0 dbus-glib-1 >= 0.60 bluez) were not met: No package 'bluez' found Consider adjusting the PKG_CONFIG_PATH environment variable if you installed software in a non-standard prefix. Alternatively, you may set the environment variables GYPSY_CFLAGS and GYPSY_LIBS to avoid the need to call pkg-config. See the pkg-config man page for more details. ERROR: Function do_configure failed `bluez4` is needed in the `DEPENDS` list instead of `bluez-libs`. This patch is build tested with the following configurations. Build Configuration: BB_VERSION = "1.10.0" METADATA_BRANCH = "org.openembedded.dev" METADATA_REVISION = "a3f3bc0" TARGET_ARCH = "arm" TARGET_OS = "linux-uclibceabi" MACHINE = "beagleboard" DISTRO = "minimal-uclibc" DISTRO_VERSION = "dev-snapshot-20101210" TARGET_FPU = "hard" Build Configuration: BB_VERSION = "1.10.0" METADATA_BRANCH = "org.openembedded.dev" METADATA_REVISION = "a3f3bc0" TARGET_ARCH = "arm" TARGET_OS = "linux-gnueabi" MACHINE = "beagleboard" DISTRO = "minimal" DISTRO_VERSION = "dev-snapshot-20101210" TARGET_FPU = "hard" Signed-off-by: Paul Menzel <paulepanter@users.sourceforge.net> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* midori: add `openssl` to `DEPENDS` and remove trailing whitespacePaul Menzel2010-12-111-1/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Task `compile` of recipes `midori_0.2.*.bb` fails with the following error (`midori_0.2.8.bb`). NOTE: package midori-1_0.2.8-r0: task do_compile: Started ERROR: TaskFailed event exception, aborting ERROR: Build of /oe/openembedded/recipes/gtk-webcore/midori_0.2.8.bb do_compile failed ERROR: Task 13 (/oe/openembedded/recipes/gtk-webcore/midori_0.2.8.bb, do_compile) failed with 256 ERROR: '/oe/openembedded/recipes/gtk-webcore/midori_0.2.8.bb' failed ERROR: Function do_compile failed NOTE: Task failed: ('function do_compile failed', '/oe/build/angstrom-dev/work/armv7a-angstrom-linux-gnueabi/midori-1_0.2.8-r0/temp/log.do_compile.17750') ERROR: Logfile of failure stored in: /oe/build/angstrom-dev/work/armv7a-angstrom-linux-gnueabi/midori-1_0.2.8-r0/temp/log.do_compile.17750 Log data follows: | NOTE: make | Waf: Entering directory `/oe/build/angstrom-dev/work/armv7a-angstrom-linux-gnueabi/midori-1_0.2.8-r0/midori-0.2.8/_build_' | [ 1/119] glib_genmarshal: midori/marshal.list -> _build_/default/midori/marshal.h _build_/default/midori/marshal.c | [ 2/119] cc: _build_/default/midori/marshal.c -> _build_/default/midori/marshal_1.o | [ 3/119] cc: katze/katze-array.c -> _build_/default/katze/katze-array_1.o | [ 4/119] cc: katze/katze-arrayaction.c -> _build_/default/katze/katze-arrayaction_1.o | [ 5/119] cc: katze/katze-http-auth.c -> _build_/default/katze/katze-http-auth_1.o | [ 6/119] cc: katze/katze-http-cookies.c -> _build_/default/katze/katze-http-cookies_1.o | [ 7/119] cc: katze/katze-item.c -> _build_/default/katze/katze-item_1.o | [ 8/119] cc: katze/katze-net.c -> _build_/default/katze/katze-net_1.o | [ 9/119] cc: katze/katze-preferences.c -> _build_/default/katze/katze-preferences_1.o | [ 10/119] cc: katze/katze-scrolled.c -> _build_/default/katze/katze-scrolled_1.o | [ 11/119] cc: katze/katze-separatoraction.c -> _build_/default/katze/katze-separatoraction_1.o | [ 12/119] cc: katze/katze-throbber.c -> _build_/default/katze/katze-throbber_1.o | [ 13/119] cc: katze/katze-utils.c -> _build_/default/katze/katze-utils_1.o | [ 14/119] cc: panels/midori-bookmarks.c -> _build_/default/panels/midori-bookmarks_1.o | [ 15/119] cc: panels/midori-console.c -> _build_/default/panels/midori-console_1.o | [ 16/119] cc: panels/midori-extensions.c -> _build_/default/panels/midori-extensions_1.o | [ 17/119] cc: panels/midori-history.c -> _build_/default/panels/midori-history_1.o | [ 18/119] cc: panels/midori-transfers.c -> _build_/default/panels/midori-transfers_1.o | [ 19/119] cc: toolbars/midori-findbar.c -> _build_/default/toolbars/midori-findbar_1.o | [ 20/119] cc: toolbars/midori-transferbar.c -> _build_/default/toolbars/midori-transferbar_1.o | [ 21/119] cc: midori/gtkiconentry.c -> _build_/default/midori/gtkiconentry_1.o | [ 22/119] cc: midori/midori-app.c -> _build_/default/midori/midori-app_1.o | [ 24/119] cc: midori/midori-browser.c -> _build_/default/midori/midori-browser_1.o | [ 23/119] cc: midori/midori-array.c -> _build_/default/midori/midori-array_1.o | [ 25/119] cc: midori/midori-extension.c -> _build_/default/midori/midori-extension_1.o | [ 26/119] cc: midori/midori-locationaction.c -> _build_/default/midori/midori-locationaction_1.o | [ 27/119] cc: midori/midori-panel.c -> _build_/default/midori/midori-panel_1.o | [ 28/119] cc: midori/midori-preferences.c -> _build_/default/midori/midori-preferences_1.o | [ 29/119] cc: midori/midori-searchaction.c -> _build_/default/midori/midori-searchaction_1.o | [ 30/119] cc: midori/midori-view.c -> _build_/default/midori/midori-view_1.o | [ 31/119] cc: midori/midori-viewable.c -> _build_/default/midori/midori-viewable_1.o | [ 32/119] cc: midori/midori-websettings.c -> _build_/default/midori/midori-websettings_1.o | [ 33/119] cc: midori/socket.c -> _build_/default/midori/socket_1.o | In file included from ../midori/socket.c:56: | ../midori/socket.h:27:27: error: openssl/ssl.h: No such file or directory | In file included from ../midori/socket.c:56: | ../midori/socket.h:49: error: expected specifier-qualifier-list before 'SSL' | ../midori/socket.h:119: error: expected ')' before '*' token | ../midori/socket.h:120: error: expected ')' before '*' token | ../midori/socket.h:121: error: expected ')' before '*' token | ../midori/socket.h:122: error: expected ')' before '*' token | ../midori/socket.h:123: error: expected ')' before '*' token | ../midori/socket.h:124: error: expected ')' before '*' token | ../midori/socket.c: In function 'sock_set_nonblocking_mode': | ../midori/socket.c:521: error: 'SockInfo' has no member named 'nonblock' | ../midori/socket.c: In function 'sock_check': | ../midori/socket.c:596: error: 'SockInfo' has no member named 'condition' | ../midori/socket.c:599: error: 'SockInfo' has no member named 'ssl' | ../midori/socket.c:601: warning: implicit declaration of function 'SSL_pending' | ../midori/socket.c:601: error: 'SockInfo' has no member named 'ssl' | ../midori/socket.c:603: warning: implicit declaration of function 'SSL_want_write' | ../midori/socket.c:603: error: 'SockInfo' has no member named 'ssl' | ../midori/socket.c:608: warning: implicit declaration of function 'SSL_want_read' | ../midori/socket.c:608: error: 'SockInfo' has no member named 'ssl' | ../midori/socket.c: In function 'sock_dispatch': | ../midori/socket.c:630: error: 'SockInfo' has no member named 'callback' | ../midori/socket.c:630: error: 'SockInfo' has no member named 'condition' | ../midori/socket.c:630: error: 'SockInfo' has no member named 'data' | ../midori/socket.c:631: warning: control reaches end of non-void function | ../midori/socket.c: In function 'sock_watch_cb': | ../midori/socket.c:638: error: 'SockInfo' has no member named 'condition' | ../midori/socket.c:641: error: 'SockInfo' has no member named 'callback' | ../midori/socket.c:641: error: 'SockInfo' has no member named 'condition' | ../midori/socket.c:641: error: 'SockInfo' has no member named 'data' | ../midori/socket.c:642: warning: control reaches end of non-void function | ../midori/socket.c: In function 'sock_add_watch': | ../midori/socket.c:647: error: 'SockInfo' has no member named 'callback' | ../midori/socket.c:648: error: 'SockInfo' has no member named 'condition' | ../midori/socket.c:649: error: 'SockInfo' has no member named 'data' | ../midori/socket.c:652: error: 'SockInfo' has no member named 'ssl' | ../midori/socket.c:663: error: 'SockInfo' has no member named 'sock_ch' | ../midori/socket.c: In function 'sock_connect': | ../midori/socket.c:909: error: 'SockInfo' has no member named 'sock_ch' | ../midori/socket.c:910: error: 'SockInfo' has no member named 'hostname' | ../midori/socket.c:911: error: 'SockInfo' has no member named 'port' | ../midori/socket.c:912: error: 'SockInfo' has no member named 'state' | ../midori/socket.c:913: error: 'SockInfo' has no member named 'nonblock' | ../midori/socket.c: In function 'sock_connect_async_cb': | ../midori/socket.c:977: error: 'SockInfo' has no member named 'sock_ch' | ../midori/socket.c:978: error: 'SockInfo' has no member named 'hostname' | ../midori/socket.c:979: error: 'SockInfo' has no member named 'port' | ../midori/socket.c:980: error: 'SockInfo' has no member named 'state' | ../midori/socket.c:981: error: 'SockInfo' has no member named 'nonblock' | ../midori/socket.c:1379: error: 'SockInfo' has no member named 'ssl' | ../midori/socket.c:1380: warning: implicit declaration of function 'ssl_read' | ../midori/socket.c:1380: error: 'SockInfo' has no member named 'ssl' | ../midori/socket.c: At top level: | ../midori/socket.c:1398: error: expected ')' before '*' token | ../midori/socket.c: In function 'sock_write': | ../midori/socket.c:1432: error: 'SockInfo' has no member named 'ssl' | ../midori/socket.c:1433: warning: implicit declaration of function 'ssl_write' | ../midori/socket.c:1433: error: 'SockInfo' has no member named 'ssl' | ../midori/socket.c: At top level: | ../midori/socket.c:1463: error: expected ')' before '*' token | ../midori/socket.c: In function 'sock_write_all': | ../midori/socket.c:1487: error: 'SockInfo' has no member named 'ssl' | ../midori/socket.c:1488: warning: implicit declaration of function 'ssl_write_all' | ../midori/socket.c:1488: error: 'SockInfo' has no member named 'ssl' | ../midori/socket.c: At top level: | ../midori/socket.c:1510: error: expected ')' before '*' token | ../midori/socket.c:1574: error: expected ')' before '*' token | ../midori/socket.c: In function 'sock_gets': | ../midori/socket.c:1602: error: 'SockInfo' has no member named 'ssl' | ../midori/socket.c:1603: warning: implicit declaration of function 'ssl_gets' | ../midori/socket.c:1603: error: 'SockInfo' has no member named 'ssl' | ../midori/socket.c: At top level: | ../midori/socket.c:1634: error: expected ')' before '*' token | ../midori/socket.c: In function 'sock_getline': | ../midori/socket.c:1666: error: 'SockInfo' has no member named 'ssl' | ../midori/socket.c:1667: warning: implicit declaration of function 'ssl_getline' | ../midori/socket.c:1667: error: 'SockInfo' has no member named 'ssl' | ../midori/socket.c: At top level: | ../midori/socket.c:1683: error: expected ')' before '*' token | ../midori/socket.c: In function 'sock_peek': | ../midori/socket.c:1717: error: 'SockInfo' has no member named 'ssl' | ../midori/socket.c:1718: warning: implicit declaration of function 'ssl_peek' | ../midori/socket.c:1718: error: 'SockInfo' has no member named 'ssl' | ../midori/socket.c: In function 'sock_close': | ../midori/socket.c:1731: error: 'SockInfo' has no member named 'ssl' | ../midori/socket.c:1735: error: 'SockInfo' has no member named 'sock_ch' | ../midori/socket.c:1736: error: 'SockInfo' has no member named 'sock_ch' | ../midori/socket.c:1737: error: 'SockInfo' has no member named 'sock_ch' | ../midori/socket.c:1747: error: 'SockInfo' has no member named 'hostname' | ../midori/socket.c: In function 'ssl_done_socket': | ../midori/socket.c:1765: error: 'SockInfo' has no member named 'ssl' | ../midori/socket.c:1766: warning: implicit declaration of function 'SSL_free' | ../midori/socket.c:1766: error: 'SockInfo' has no member named 'ssl' | In file included from ../midori/midori-app.c:40: | ../midori/socket.h:27:27: error: openssl/ssl.h: No such file or directory | In file included from ../midori/midori-app.c:40: | ../midori/socket.h:49: error: expected specifier-qualifier-list before 'SSL' | ../midori/socket.h:119: error: expected ')' before '*' token | ../midori/socket.h:120: error: expected ')' before '*' token | ../midori/socket.h:121: error: expected ')' before '*' token | ../midori/socket.h:122: error: expected ')' before '*' token | ../midori/socket.h:123: error: expected ')' before '*' token | ../midori/socket.h:124: error: expected ')' before '*' token | Waf: Leaving directory `/oe/build/angstrom-dev/work/armv7a-angstrom-linux-gnueabi/midori-1_0.2.8-r0/midori-0.2.8/_build_' | Build failed: | -> task failed (err #1): | {task: cc socket.c -> socket_1.o} | -> task failed (err #1): | {task: cc midori-app.c -> midori-app_1.o} | make: *** [all] Error 1 | FATAL: oe_runmake failed | ERROR: Function do_compile failed NOTE: package midori-1_0.2.8-r0: task do_compile: Failed ERROR: TaskFailed event exception, aborting ERROR: Build of /oe/openembedded/recipes/gtk-webcore/midori_0.2.8.bb do_compile failed ERROR: Task 13 (/oe/openembedded/recipes/gtk-webcore/midori_0.2.8.bb, do_compile) failed with 256 ERROR: '/oe/openembedded/recipes/gtk-webcore/midori_0.2.8.bb' failed Adding `openssl` to `DEPENDS` fixes that error. The build succeeded with the following build configuration. Build Configuration: BB_VERSION = "1.10.0" METADATA_BRANCH = "org.openembedded.dev" METADATA_REVISION = "2abf626" TARGET_ARCH = "arm" TARGET_OS = "linux-gnueabi" MACHINE = "beagleboard" DISTRO = "angstrom" DISTRO_VERSION = "2010.7-test-20101203" TARGET_FPU = "hard" Signed-off-by: Paul Menzel <paulepanter@users.sourceforge.net> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* inkscape_0.48.0: add `boost` to `DEPENDS`Paul Menzel2010-12-111-1/+3
| | | | | | | | | | | | | | | | | | | | | | | | Inkscape 0.48 committed in 2dfc5b [1] seems to have a new dependency on Boost. | checking boost/concept_check.hpp usability... no | checking boost/concept_check.hpp presence... no | checking for boost/concept_check.hpp... no | configure: error: You need the boost package (e.g. libboost-dev) | ERROR: Function do_configure failed NOTE: package inkscape-0.48.0-r0: task do_configure: Failed ERROR: TaskFailed event exception, aborting ERROR: Build of /oe/openembedded/recipes/inkscape/inkscape_0.48.0.bb do_configure failed ERROR: Task 11 (/oe/openembedded/recipes/inkscape/inkscape_0.48.0.bb, do_configure) failed with 256 ERROR: '/oe/openembedded/recipes/inkscape/inkscape_0.48.0.bb' failed ERROR: '/oe/openembedded/recipes/inkscape/inkscape_0.48.0.bb' failed ERROR: '/oe/openembedded/recipes/inkscape/inkscape_0.48.0.bb' failed This patch fixes the build with `angstrom-2008.1`, `angstrom-2010.x` and `minimal` for `MACHINE = "beagleboard"`. [1] http://cgit.openembedded.org/cgit.cgi/openembedded/commit/?id=2dfc5b7c9e0d32c3f61ff02aca2b08d22def56fc Signed-off-by: Paul Menzel <paulepanter@users.sourceforge.net> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* ust / userspace-rcu: Add recipesTom Rini2010-12-105-0/+81
| | | | | | Based on Esben Haabendal's recipes. Signed-off-by: Tom Rini <tom_rini@mentor.com>
* ffphonelog: bump PR after last EFL_SRCREV changeMartin Jansa2010-12-101-0/+1
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* base: use bb.plain, not print for build_summaryChris Larson2010-12-101-18/+18
| | | | Signed-off-by: Chris Larson <chris_larson@mentor.com>
* oe-stylize: remove trailing newline when printing unknown variable/routinetested_2010-12-10Andreas Oberritter2010-12-101-1/+1
| | | | Signed-off-by: Andreas Oberritter <obi@opendreambox.org>
* i2c-tools : Remove legacy staging.Philip Balister2010-12-101-7/+1
| | | | Thanks for pointing this out Koen.
* i2c-tools : Bump PR after changes to header file staging.Philip Balister2010-12-101-1/+1
|
* i2c-tools : Stage i2c-dev.h header as i2c-dev-user.h.Philip Balister2010-12-101-0/+12
| | | | | | Thanks to John Faith for suggesting this approach on the ML. The problem is i2c-tools overwrites the header staged by the kernel. This breaks programs that depend on the kernel header.
* linux-omap 2.6.37rc: bump to rc5Koen Kooi2010-12-1015-164/+75
| | | | Signed-off-by: Koen Kooi <koen@beagleboard.org>
* gcc/gcc-cross/gcc-cross-intermediate: Generate libgcc_s.so as a linker ↵Khem Raj2010-12-097-11/+35
| | | | | | | script stub Signed-off-by: Khem Raj <raj.khem@gmail.com> Acked-by: Eric Bénard <eric@eukrea.com>
* autoconf : Bump PR after earlier revert.Philip Balister2010-12-091-1/+1
|
* uhd : Bump SRCREV to pick up latest uhd fixes.Philip Balister2010-12-091-2/+2
|
* gst-plugins-bad: update EXTRA_OECONF (mjpegtools, sdl)Andreas Oberritter2010-12-091-3/+8
| | | | | | | | | * Fix build with mjepegtools installed, by disabling mpeg2enc and mplex. The configure script of gst-plugins-bad wants to use AC_TRY_RUN for both of them, which doesn't work when cross-compiling. * Remove --enable-sdl, because it is the default. Signed-off-by: Andreas Oberritter <obi@opendreambox.org>
* ffmpeg: set default license to GPLv2+, because --enable-gpl is used.Andreas Oberritter2010-12-092-5/+2
| | | | | | * See http://www.ffmpeg.org/legal.html Signed-off-by: Andreas Oberritter <obi@opendreambox.org>
* quake: depend on virtual/libsdl instead of libsdl-x11Andreas Oberritter2010-12-094-4/+4
| | | | Signed-off-by: Andreas Oberritter <obi@opendreambox.org>